# UnresolvedArtifactResult

interface UnresolvedArtifactResult : ArtifactResult

An artifact that could not be resolved.

#### Since

2.0

## Functions

getFailure
Link copied to clipboard
abstract fun getFailure(): Throwable
The failure that occurred when the artifact was resolved.
getId
Link copied to clipboard
abstract fun getId(): ComponentArtifactIdentifier
getType
Link copied to clipboard
abstract fun getType(): Class<out Artifact>